Bug 31814 - Appliance: windows/wins-server not updated after join.
Appliance: windows/wins-server not updated after join.
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Samba
UCS 3.1
Other Linux
: P5 normal (vote)
: UCS 3.2
Assigned To: Tobias Peters
Arvid Requate
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 15:31 CEST by Arvid Requate
Modified: 2013-11-19 06:41 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2013-06-25 15:31:58 CEST
This should also be fixed in univention-samba

+++ This bug was initially created as a clone of Bug #30813 +++
Comment 1 Tobias Peters univentionstaff 2013-06-28 10:22:13 CEST
The UCR variables windows/wins-server and windows/wins-support are now set in the Samba joinscript.
Comment 2 Arvid Requate univentionstaff 2013-07-16 15:16:58 CEST
Ok, actually I'd prefer to keep the change as minimal as possible, so I would do a

if [ -n "$ldap_master" ]; then
   univention-config-registry set windows/wins-server?$ldap_master
fi

in both cases, when joining via netbios worked as well as when ldap/master was necessary for joining.
Comment 3 Tobias Peters univentionstaff 2013-07-17 16:26:28 CEST
Setting the UCR variable windows/wins-server has been adjusted accordingly.
Comment 4 Arvid Requate univentionstaff 2013-07-17 18:15:49 CEST
Ok. Package rebuilt with minor pedantic quoting fix.
Comment 5 Stefan Gohmann univentionstaff 2013-11-19 06:41:58 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".